curl --request POST \
--url https://api-universal.conductor.com/data-api/v1/async/ai_search_citations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": 101,
"start_date": "2025-11-02",
"end_date": "2025-11-08",
"collection_frequency": "WEEKLY",
"web_property_ids": [
122556,
987654
],
"ai_search_engines": [
"chatgptsearch",
"perplexity"
],
"locodes": [
"US",
"CA",
"US NYC",
"US-TX"
],
"languages": [
"en_US",
"hant_TW"
],
"topics": [
"marketing automation",
"website optimization"
],
"prompts": [
"best crm",
"top crm"
],
"prompt_type": "branded",
"intents": [
"Education",
"Purchase"
],
"personas": [
"young adults",
"developers"
],
"root_domains": [
"conductor.com",
"abc.com"
],
"domains": [
"blog.conductor.com",
"about.conductor.com"
],
"citation_urls": [
"https://www.conductor.com/blog/conductor-record-enterprise-momentum-ai-search/",
"https://www.conductor.com/academy/debunking-ai-prompt-volume/"
],
"citation_attributions": [
"You",
"Partner",
"SEO Competitor",
"Other"
],
"prompts_groups": [
"Comparison Prompts"
],
"prompts_groups_match": "any"
}
'import requests
url = "https://api-universal.conductor.com/data-api/v1/async/ai_search_citations"
payload = {
"account_id": 101,
"start_date": "2025-11-02",
"end_date": "2025-11-08",
"collection_frequency": "WEEKLY",
"web_property_ids": [122556, 987654],
"ai_search_engines": ["chatgptsearch", "perplexity"],
"locodes": ["US", "CA", "US NYC", "US-TX"],
"languages": ["en_US", "hant_TW"],
"topics": ["marketing automation", "website optimization"],
"prompts": ["best crm", "top crm"],
"prompt_type": "branded",
"intents": ["Education", "Purchase"],
"personas": ["young adults", "developers"],
"root_domains": ["conductor.com", "abc.com"],
"domains": ["blog.conductor.com", "about.conductor.com"],
"citation_urls": ["https://www.conductor.com/blog/conductor-record-enterprise-momentum-ai-search/", "https://www.conductor.com/academy/debunking-ai-prompt-volume/"],
"citation_attributions": ["You", "Partner", "SEO Competitor", "Other"],
"prompts_groups": ["Comparison Prompts"],
"prompts_groups_match": "any"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: 101,
start_date: '2025-11-02',
end_date: '2025-11-08',
collection_frequency: 'WEEKLY',
web_property_ids: [122556, 987654],
ai_search_engines: ['chatgptsearch', 'perplexity'],
locodes: ['US', 'CA', 'US NYC', 'US-TX'],
languages: ['en_US', 'hant_TW'],
topics: ['marketing automation', 'website optimization'],
prompts: ['best crm', 'top crm'],
prompt_type: 'branded',
intents: ['Education', 'Purchase'],
personas: ['young adults', 'developers'],
root_domains: ['conductor.com', 'abc.com'],
domains: ['blog.conductor.com', 'about.conductor.com'],
citation_urls: [
'https://www.conductor.com/blog/conductor-record-enterprise-momentum-ai-search/',
'https://www.conductor.com/academy/debunking-ai-prompt-volume/'
],
citation_attributions: ['You', 'Partner', 'SEO Competitor', 'Other'],
prompts_groups: ['Comparison Prompts'],
prompts_groups_match: 'any'
})
};
fetch('https://api-universal.conductor.com/data-api/v1/async/ai_search_citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
[
"Conductor Organization",
"base64-encoded-organization-id",
"Conductor Account",
"123",
"conductor.com",
"456",
"2026-01-11",
"2026-01-17",
"WEEKLY",
"US",
"en_US",
"chatgpt",
"best AEO and GEO platforms",
"best AEO and GEO platforms 2026 - complete guide",
"unbranded",
"Educational",
"broad audience",
"Conductor | The Leading Organic Marketing Platform",
"https://www.conductor.com/",
"conductor.com",
"blog.conductor.com",
"you",
"true",
"true",
"Brand Prompts, Competitor Prompts"
]
],
"schema": [
{
"name": "organization_name",
"type": "string"
},
{
"name": "organization_id",
"type": "string"
},
{
"name": "account_name",
"type": "string"
},
{
"name": "account_id",
"type": "integer"
},
{
"name": "web_property_name",
"type": "string"
},
{
"name": "web_property_id",
"type": "integer"
},
{
"name": "time_period_start",
"type": "date"
},
{
"name": "time_period_end",
"type": "date"
},
{
"name": "collection_frequency",
"type": "string"
},
{
"name": "locode",
"type": "string"
},
{
"name": "language",
"type": "string"
},
{
"name": "ai_search_engine",
"type": "string"
},
{
"name": "topic",
"type": "string"
},
{
"name": "prompt",
"type": "string"
},
{
"name": "prompt_type",
"type": "string"
},
{
"name": "intent",
"type": "string"
},
{
"name": "persona",
"type": "string"
},
{
"name": "citation_title",
"type": "string"
},
{
"name": "citation_url",
"type": "string"
},
{
"name": "citation_domain",
"type": "string"
},
{
"name": "citation_web_property_segment",
"type": "string"
},
{
"name": "citation_attribution",
"type": "string"
},
{
"name": "ai_response_collected",
"type": "boolean"
},
{
"name": "web_search_triggered",
"type": "boolean"
},
{
"name": "prompt_group_names",
"type": "string"
}
],
"executionState": "COMPLETED",
"executionId": "enga:f47ac10b-58cc-4372-a567-0e02b2c3d479",
"requestId": "9e3b7c12-f4a5-48d1-b6e9-0c32d5a8e1b4",
"nextPageId": "87QUIJAKFQ9UIRJklafkg8wyuijFIAOqwfL9UIQOr==",
"totalRowCount": 1000
}{
"results": [],
"schema": [],
"executionState": "IN_PROGRESS",
"executionId": "enga:e6ab4daf-c25b-4a9d-d8e4-bf7b5caa3d26",
"requestId": "7b5fbc42-ad6a-4e8b-cf4c-9abc5b7eac63"
}{
"error": "INVALID_PARAMETERS",
"message": "start_date must be before end_date"
}AI Search - Citations
Retrieve citation data from AI search responses—the source URLs cited by AI engines—using Conductor’s asynchronous Data API query endpoint.
Change Log
- 2026-09-02 · Added — Added
prompts_groupsandprompts_groups_matchfilters and aprompt_group_namesresponse column, so results can be filtered and identified by prompt group.
Authorizations
Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.
Body
- Submit
- Poll
- Paginate
Submit a new query with filters and parameters. Returns an executionId to track the query.
Start date of the time period (yyyy-MM-dd).
If collection_frequency is WEEKLY or not set, this must be a Sunday.
If collection_frequency is MONTHLY, this must be the first day of the month.
"2025-11-02"
End date of the time period (yyyy-MM-dd).
If collection_frequency is WEEKLY or not set, this must be a Saturday.
If collection_frequency is MONTHLY, this must be the last day of the month.
"2025-11-29"
Frequency of data collection.
DAILY, WEEKLY, MONTHLY (Optional) list of web property IDs to filter results. See Web Properties.
x >= 1[122556, 987654]
(Optional) list of locodes to filter (case-insensitive). Based on ISO names from a predefined dictionary. A locode can represent a country ("US"), city ("US NYC"), state ("PL-02"), or a specific location (e.g., an airport). See AI Search.
2 - 12["US", "CA", "US NYC", "US-TX"]
(Optional) indicates whether the prompt is branded or unbranded.
branded, unbranded "branded"
(Optional) list of root domains to filter.
["conductor.com", "abc.com"]
(Optional) list of domains to filter (e.g., blog.conductor.com).
["blog.conductor.com", "about.conductor.com"]
(Optional) list of citation URLs to filter.
[ "https://www.conductor.com/blog/conductor-record-enterprise-momentum-ai-search/", "https://www.conductor.com/academy/debunking-ai-prompt-volume/" ]
(Optional) list of citation ownership to filter (case-insensitive).
["You", "Partner", "SEO Competitor", "Other"]
(Optional) how prompts_groups combines multiple group names: any (default) matches
at least one; all matches every listed group.
any, all "any"
Response
Query completed successfully
List of query results. Each item is a positional tuple row.
Available only when executionState is COMPLETED.
Positional tuple row for AI Search Citation results. Column order matches the schema metadata. All values are returned as strings.
25Current execution state of the query:
IN_PROGRESS: The query is still running. Poll again later.COMPLETED: The query finished successfully. Results are available.FAILED: The query failed. Check the error message if available.
IN_PROGRESS, COMPLETED, FAILED Unique identifier for the query execution. Valid for 7 days. Use this for polling and pagination.
Unique identifier for the HTTP request, useful for support and debugging.
Token for retrieving the next page of results. Available as long as the executionId is valid (7 days).
If null, there are no more pages available.
Total number of rows across all pages (if available).
Column metadata providing the name and type for each position in the results tuple.
Show child attributes
Show child attributes
